---
id: 669fdd3965f36f40af9615e5
title: Step 6
challengeType: 0
dashedName: step-6
---

# --description--

Now that you are finished building out the page header, you will need to start adding your main content. 

Below your `header`, add a `main` element. 

# --hints--

Your `main` element should have an opening tag. 

```js
assert.match(code, /<main\>/);
```

Your `main` element should have a closing tag. 

```js
assert.match(code, /<\/main\>/);
```

Your `main` element should be below your `header` element.

```js
assert.exists(document.querySelector('header + main'));
```

# --seed--

## --seed-contents--

```html
<!DOCTYPE html>
<html lang="en">
  <head>
    <title>Mr. Whiskers' Blog</title>
    <meta charset="UTF-8" />
  </head>
  <body>
    <header>
      <h1>Welcome to Mr. Whiskers' Blog Page!</h1>
      <figure>
        <img
          src="https://cdn.freecodecamp.org/curriculum/css-photo-gallery/1.jpg"
          alt="a cat in the garden"
        />
        <figcaption>Mr. Whiskers in the Garden</figcaption>
      </figure>
      <nav>
        <ul>
          <li><a href="#about">About</a></li>
          <li><a href="#posts">Posts</a></li>
          <li><a href="#contact">Contact</a></li>
        </ul>
      </nav>
    </header>
    --fcc-editable-region--
    
    --fcc-editable-region--
  </body>
</html>
```
